package com.haha.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.haha.entity.DistributorMonthlyReport;
import com.haha.entity.dto.MonthlyReportQueryDTO;
import com.haha.entity.vo.DistributorDashboardVO;

import java.util.List;

public interface DistributorReportService extends IService<DistributorMonthlyReport> {

    void generateMonthlyReport(String yearMonth);

    DistributorMonthlyReport generateDistributorMonthlyReport(Long distributorId, String yearMonth);

    IPage<DistributorMonthlyReport> getPage(MonthlyReportQueryDTO queryDTO);

    DistributorDashboardVO getDashboard();

    List<DistributorMonthlyReport> exportMonthlyReport(String yearMonth);
}
